{% extends 'layouts/base.html.twig' %}

{% block meta %}
	<meta ame="description" content="{{ ebook.introduction|slice(0, 100) ~ '...' }}"/>
	<meta property="og:type" content="book"/>
	<meta property="og:title" content="{{ ebook.title }}"/>
	<meta property="og:description" content="{{ ebook.introduction|slice(0, 100) ~ '...' }}"/>
{% endblock %}

{% block title %}
	{{ ebook.title }}
{% endblock %}

{% block body %}
	<article class="ebook">
		{% for alert in app.flashes('danger') %}
			<div class="comments__validation">
				{% include 'components/_alert.html.twig' with {
					'class': 'alert alert__danger',
					'content': alert
				} %}
			</div>
		{% endfor %}

		<section class="container">
			<div class="ebook__breadcrumbs">
				{{ wo_render_breadcrumbs() }}
			</div>
			<h1 class="title title--1 center">{{ ebook.title }}</h1>
			<p class="subtitle center">{{ ebook.subtitle }}</p>

			{% include 'components/card/_wide-card.html.twig' with {
				'big': true,
				'thumbnail': {
							'item': ebook,
							'alt': ebook.imageName
						},
				'introduction': ebook.introduction,
				'path': null,
				'buttons': {
					1: {
						'class': 'button button__primary',
						'type': 'link',
						'path': {
							'name': 'ebook_show',
							'args': {
								slug: ebook.slug
							},
							'anchor': '#download'
						},
						'label': 'Télécharger cet Ebook',
					}
				}
			} %}

			<hr>
		</section>

		<section class="container">
			<h2 class="title title--1 center">Sujets abordés dans le livre</h2>
			<p class="subtitle center">Retrouvez les différentes chapitres du livre</p>

			<div class="ebook__chapters">
				{% include 'components/step/_steps.html.twig' with {
					'steps': chapters
				} %}
			</div>
		</section>

		{% include 'components/_banner.html.twig' with {
			'title': 'Convaincu par ce que propose cet E-book ? Télécharges cet E-book !',
			'button': {
				'class': 'button button__primary button--light',
				'type': 'link',
				'path': {
					'name': 'ebook_show',
					'args': {
						slug: ebook.slug
					},
					'anchor': '#download'
				},
				'label': 'Télécharger cet E-book',
			}
		} %}

		<section class="container">
			<h2 class="title title--1 center">Les témoignages concernant cet Ebook</h2>
			<p class="subtitle center">Découvrez l'ensemble des témoignages</p>

			<div class="ebook__opinions">
				{% include 'components/opinion/_opinions.html.twig' with {
					'opinions': opinions
				} %}
			</div>
		</section>

		{% include 'components/_banner.html.twig' with {
			'title': 'Convaincu par ce que propose cet E-book ? Télécharges cet E-book !',
			'button': {
				'class': 'button button__primary button--light',
				'type': 'link',
				'path': {
					'name': 'ebook_show',
					'args': {
						slug: ebook.slug
					},
					'anchor': '#download'
				},
				'label': 'Télécharger cet E-book',
			}
		} %}

		<section id="download" class="container">
			<h2 class="title title--1 center">Télécharger notre Ebook</h2>

			{% if app.user %}
				<div class="ebook__download">
					<a href="/uploads/ebooks/{{ ebook.slug }}.pdf" class="button button__primary">Télécharger votre e-book</a>
				</div>
			{% else %}
				<form class="form download" method="POST">
					<div class="form__row">
						{% include 'components/form/_group.html.twig' with {
							'size': 'half',
							'element': form.email
						}  %}
						{% include 'components/form/_group.html.twig' with {
							'size': 'half',
							'element': form.pseudo
						}  %}
					</div>

					<div class="form__row">
						<div class="form__group form__agree-terms">
							{{ form_widget(form.agreeTerms) }}
							<label for="registration_agreeTerms">
								Je reconnais avoir lu et compris les
								<a href="{{ path('app_terms_service') }}">CGU</a>
								ainsi que la
								<a href="{{ path('app_privacy_policy') }}">politique de confidentialité</a>
								et je les accepte
							</label>
						</div>
					</div>

					<div class="form__group">
						{{ form_row(form._token) }}
					</div>

					<div class="form__submit">
						{% include 'components/_button.html.twig' with {
							'class': 'button button__primary',
							'type': 'submit',
							'path': null,
							'label': 'Recevoir mon Ebook par email'
						} %}
					</div>
				</form>

			{% endif %}
		</section>
	</article>
{% endblock %}
